petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSortIntWithArray

Sorts an array of integers in place in increasing order; changes a second array to match the sorted first array.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscSortIntWithArray(PetscInt n,PetscInt i[],PetscInt Ii[])

Not Collective

### Input Parameters

| n | - number of values
| i | - array of integers
| I | - second array of integers

### See Also

PetscSortReal(), PetscSortIntPermutation(), PetscSortInt()

### Level

intermediate

### Location

src/sys/utils/sorti.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages